Skip to main content
Close announcements banner

Planning your upgrade

A successful upgrade requires some planning. Before you can upgrade, you must know your upgrade path, that is, you need to know which version you currently have and which version you want to upgrade to. You also need to collect other information about your deployment, the details of which are covered in this guide.

Information noteDo not uninstall your current version of Qlik Sense Enterprise. If you have already uninstalled Qlik Sense, see Upgrading after uninstalling Qlik Sense.

Planning your upgrade path

Not all versions have a direct upgrade path to the latest or newer version of Qlik Sense Enterprise. It is good practice to use the release notes as a guide to determine when major changes between versions are introduced. You might be required to upgrade to an intermediate version to pick up dependencies before upgrading to your desired version of Qlik Sense Enterprise.

Qlik Sense Enterprise upgrade path when skipping versions

Big jump upgrade path

Considerations about older versions

Some Qlik Sense Enterprise versions introduced significant changes. The table below lists major changes you should consider when upgrading. This list will help you decide which intermediate version you might need to upgrade to before upgrading to later versions.

Information noteExample: Qlik Sense Enterprise February 2021 supports only .NET 4.8. This means that to upgrade from older versions, you should first upgrade to the version before the change, in this case Qlik Sense Enterprise November 2020, then upgrade to the version with the major change. Doing this will reduce the likelihood of encountering errors during the upgrade.
Versions Considerations
Qlik Sense 3.1 SR1 and earlier Must upgrade to June 2017 before upgrading to later versions.
Qlik Sense June 2017 and later Support only the shared persistence model.
Qlik Sense September 2017 and later Does not support configuring centralized logging through the installer.
Qlik Sense November 2017 and later Does not support soft delete records.
Qlik Sense February 2020 and later Changed NodeJS version. Must re-create certificates generated with versions June 2019 and earlier.
Qlik Sense February 2021 and later Support only .NET framework 4.8 or higher. Must upgrade to November 2020 first. This version also requires Visual C++ 2019 distributable package.
Qlik Sense February 2022 and later Does not support centralized logging.

Considerations about multi-node deployments

A single note site is simpler to upgrade than a multi-node site. If you have more than one node in a site, you must upgrade each node separately.

  • Each node in a multi-node site must run the same version of Qlik Sense.

  • You should upgrade the central node first.

  • All nodes should be offline when you upgrade.

  • Use the same login account for the upgrade as you did with the original installation. If you use a different login account, the node will not find the certificates on the node.

Considerations about logging

As of Qlik Sense February 2022, centralized logging is no longer supported. See Logging for general information and log locations.

Considerations about custom configurations

If your current deployment includes custom configuration files, they will be overwritten during the upgrade process. Before upgrading, you should back up any custom configuration files and restore them after the upgrade.

Here are the most common configuration files and their default locations:

  • %ProgramFiles%\Qlik\Sense\Repository\Repository.exe.config

  • %ProgramFiles%\Qlik\Sense\Proxy\Proxy.exe.config

  • %ProgramFiles%\Qlik\Sense\Scheduler\Scheduler.exe.config

  • %ProgramFiles%\Qlik\Sense\ServiceDispatcher\services.conf

Considerations about your apps

When you upgrade Qlik Sense, all existing apps need to be migrated to ensure compatibility between the versions. An app with an engine version later than 12.0 is migrated on the fly when you open it in the hub. On the apps overview page in the QMC, you can see which apps, if any, require manual migration. Apps that require a manual migration are listed in the Version column and labeled Migration needed. Use the Migrate button to perform manual migration.

Information noteThe Version column is not displayed by default. Use the column selector to display the field.

Consideration about your Qlik Sense Repository Database

In versions of Qlik Sense from June 2017 and later, the Qlik Sense Repository Database uses PostgreSQL version 9.6. When you upgrade from an earlier version, the Qlik Sense Repository Database is upgraded to use PostgreSQL version 9.6. All your data and settings are migrated to the new version. However, if you have custom configurations for your PostgreSQL installation they must be recreated after the upgrade.

Information noteIf you want to deploy a PostgreSQL database on a dedicated infrastructure, then you can use any supported version of PostgreSQL. Check the System requirements for Qlik Sense Enterprise on Windows to know which versions of PostgreSQL are supported. You can run the instance of PostgreSQL on platforms including Windows, Linux or cloud hosted services, such as Amazon RDS. However, Qlik will only offer configuration support when PostgreSQL is running on Windows. If you use Linux or Amazon RDS, it is your own responsibility to install and configure a running instance of PostgreSQL for Qlik Sense.

Here are some other important things to note regarding your Qlik Sense Repository Database upgrade:

  • The version of PostgreSQL that is included in the Qlik Sense June 2017 or later does not include pgAdmin tools. For information about manually installing the PostgreSQL database, see Installing and configuring PostgreSQL.

  • The Qlik Sense installer cannot use SSL encryption for establishing a connection to PostgreSQL. When SSL encryption is enabled, the installer does not recognize any already installed PostgreSQL databases, as a result, the installation cannot be completed. You should temporarily disable SSL during installation or upgrade.

Information note If you have uninstalled Qlik Sense before upgrading, but you maintained your PostgreSQL database, you must create a database dump file and restore the PostgreSQL database manually. You also need to manually reconfigure any custom parameters. If you have already uninstalled Qlik Sense, see Upgrading after uninstalling Qlik Sense.